Compilation
===========

Requirements:
 - autoconf >= 2.5
 - parted >= 2.4
 - e2fsprogs (uuid) >= 1.30

From tarball:
-------------
Just run configure script with neccessary parameters

From Git:
---------
You need /usr/share/aclocal/parted.m4 file from parted distribution.
Run autoreconf -fisv and then run configure script


Using
=====
fatresize [options] device (e.g. /dev/hda2, /dev/evms/sda3)
    -s, --size SIZE      Resize volume to SIZE[k|M|G|ki|Mi|Gi] bytes or max
    -i, --info           Show volume information
    -f, --force-yes      Do not ask questions
    -n, --partition NUM  Specify partition number
    -p, --progress       Show progress of resizing
    -q, --quiet          Be quiet
    -v, --verbose        Verbose mode
    -h, --help           Display help screen

Example:
fatresize -s 2G /dev/evms/hdb2
fatresize -q -s max /dev/hde6
fatresize -i /dev/hdg3

Size and device is required to run.
You can resize device-mapped partitions.


Note
====
Please report bugs to Anton D. Kachalov <mouse at ya dot ru>
